Description

Current builds fail because of 4 tests failures :

  1) Failure:

test_annotate_binary_file(RepositoriesGitControllerTest) [/test/functional/repositories_git_contro

ller_test.rb:215]:

expected tag, but no tag found matching {:content=>/can not be annotated/, :tag=>"p", :attributes=

>{:id=>/errorExplanation/}} in:

"<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DT

D/xhtml1-transitional.dtd\">\n<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"en\">\n<head

>\n<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\" />\n<title>eCookbook Sub

project 1 - 500 - Redmine</title>\n<meta name=\"description\" content=\"Redmine\" />\n<meta name=\

"keywords\" content=\"issue,bug,tracker\" />\n\n<link rel='shortcut icon' href='/favicon.ico?12945

71173' />\n<link href=\"/stylesheets/application.css?1301077227\" media=\"all\" rel=\"stylesheet\"

 type=\"text/css\" />\n\n<script src=\"/javascripts/prototype.js?1294571172\" type=\"text/javascri

pt\"></script>\n<script src=\"/javascripts/effects.js?1294571172\" type=\"text/javascript\"></scri

pt>\n<script src=\"/javascripts/dragdrop.js?1294571172\" type=\"text/javascript\"></script>\n<scri

pt src=\"/javascripts/controls.js?1294571172\" type=\"text/javascript\"></script>\n<script src=\"/

javascripts/application.js?1300638027\" type=\"text/javascript\"></script>\n<script type=\"text/ja

vascript\">\n//<![CDATA[\nEvent.observe(window, 'load', function(){ new WarnLeavingUnsaved('The cu

rrent page contains unsaved text that will be lost if you leave this page.'); });\n//]]>\n</script

>\n\n<!--[if IE 6]>\n    <style type=\"text/css\">\n      * html body{ width: expression( document

.documentElement.clientWidth < 900 ? '900px' : '100%' ); }\n      body {behavior: url(/stylesheets

/csshover.htc?1294571171);}\n    </style>\n<![endif]-->\n\n<!-- page specific tags -->\n</head>\n<

body class=\"controller-repositories action-annotate\">\n<div id=\"wrapper\">\n<div id=\"wrapper2\

">\n<div id=\"top-menu\">\n    <div id=\"account\">\n        <ul><li><a href=\"/login\" class=\"lo

gin\">Sign in</a></li>\n<li><a href=\"/account/register\" class=\"register\">Register</a></li></ul

>    </div>\n    \n    <ul><li><a href=\"/\" class=\"home\">Home</a></li>\n<li><a href=\"/projects

\" class=\"projects\">Projects</a></li>\n<li><a href=\"http://www.redmine.org/guide\" class=\"help

\">Help</a></li></ul></div>\n      \n<div id=\"header\">\n    \n    <div id=\"quick-search\">\n   

     <form action=\"/search/index/subproject1\" method=\"get\">\n        <input name=\"changesets\

" type=\"hidden\" value=\"1\" />\n        <a href=\"/search/index/subproject1\" accesskey=\"4\">Se

arch</a>:\n        <input accesskey=\"f\" class=\"small\" id=\"q\" name=\"q\" size=\"20\" type=\"t

ext\" />\n        </form>\n        \n    </div>\n    \n    \n    <h1><a href=\"/projects/ecookbook

?jump=repository\" class=\"root\">eCookbook</a> &#187; eCookbook Subproject 1</h1>\n    \n    \n  

  <div id=\"main-menu\">\n        <ul><li><a href=\"/projects/subproject1\" class=\"overview\">Ove

rview</a></li>\n<li><a href=\"/projects/subproject1/activity\" class=\"activity\">Activity</a></li

>\n<li><a href=\"/projects/subproject1/roadmap\" class=\"roadmap\">Roadmap</a></li>\n<li><a href=\

"/projects/subproject1/issues\" class=\"issues\">Issues</a></li>\n<li><a href=\"/projects/subproje

ct1/issues/gantt\" class=\"gantt\">Gantt</a></li>\n<li><a href=\"/projects/subproject1/issues/cale

ndar\" class=\"calendar\">Calendar</a></li>\n<li><a href=\"/projects/subproject1/repository\" clas

s=\"repository selected\">Repository</a></li></ul>\n    </div>\n    \n</div>\n\n<div class=\"nosid

ebar\" id=\"main\">\n    <div id=\"sidebar\">        \n        \n        \n    </div>\n    \n    <

div id=\"content\">\n\t\t\t\t\n        <h2>500</h2>\r\n\r\n<p id=\"errorExplanation\">The entry do

es not exist or cannot be annotated.</p>\r\n<p><a href=\"javascript:history.back()\">Back</a></p>\

r\n\r\n\r\n\n        \n\t\t\t\t<div style=\"clear:both;\"></div>\n    </div>\n</div>\n\n<div id=\"

ajax-indicator\" style=\"display:none;\"><span>Loading...</span></div>\n\t\n<div id=\"footer\">\n 

 <div class=\"bgl\"><div class=\"bgr\">\n    Powered by <a href=\"http://www.redmine.org/\">Redmin

e</a> &copy; 2006-2011 Jean-Philippe Lang\n  </div></div>\n</div>\n</div>\n</div>\n\n</body>\n</ht

ml>\n".

<nil> is not true.
  2) Failure:

test_destroy_role_in_use(RolesControllerTest) [/test/functional/roles_controller_test.rb:117]:

<false> is not true.

  1) Failure:

test: POST /users with invalid parameters .xml should return errors. (ApiTest::UsersTest)

    [/test/integration/api_test/users_test.rb:144:in `__bind_1301531362_19052'

     shoulda (2.10.3) lib/shoulda/context.rb:362:in `call'

     shoulda (2.10.3) lib/shoulda/context.rb:362:in `test: POST /users with invalid parameters .xm

l should return errors. ']:

expected tag, but no tag found matching {:child=>{:content=>"Firstname can't be blank", :tag=>"err

or"}, :tag=>"errors"} in:

"<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<errors>\n  <error>First name can't be blank</error>\

n  <error>Email is invalid</error>\n</errors>\n".

<nil> is not true.

  2) Failure:

test: PUT /users/2 with invalid parameters .xml should return errors. (ApiTest::UsersTest)

    [/test/integration/api_test/users_test.rb:229:in `__bind_1301531369_721146'

     shoulda (2.10.3) lib/shoulda/context.rb:362:in `call'

     shoulda (2.10.3) lib/shoulda/context.rb:362:in `test: PUT /users/2 with invalid parameters .x

ml should return errors. ']:

expected tag, but no tag found matching {:child=>{:content=>"Firstname can't be blank", :tag=>"err

or"}, :tag=>"errors"} in:

"<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<errors>\n  <error>First name can't be blank</error>\

n  <error>Email is invalid</error>\n</errors>\n".

<nil> is not true.

Associated revisions

Revision 5268 - 2011-03-31 18:46 - Toshi MARUYAMA

scm: git: fix annotate test due to changing en.yml (#8035, #7855).

Revision 5269 - 2011-04-01 02:11 - Toshi MARUYAMA

Fix annotate functional roles_controller_test.rb due fails to changing en.yml (#8035, #7855).

Revision 5270 - 2011-04-01 02:46 - Toshi MARUYAMA

Fix test/integration/api_test/users_test.rb fails due to changing en.yml (#8035, #7855).

History

#1 - 2011-04-01 04:44 - Toshi MARUYAMA

- Status changed from New to Closed

I fixed.

I mistook commit log in r5269. Sorry.

Powered by TCPDF (www.tcpdf.org)

2024-04-24 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/5269
http://www.tcpdf.org

